# Contributor guide for FastAI.jl

First off, thank you for considering contributing to FastAI.jl. We welcome contributions and are happy to work with you!

FastAI.jl is part of the FluxML GitHub organization and follows the same guidelines laid out in [Flux.jl's CONTRIBUTING.md](https://github.com/FluxML/Flux.jl/blob/master/CONTRIBUTING.md). That guide also includes a lot of tips for first-time contributors to open source.

## Example contributions

The list below just gives a few examples of welcome contributions, but of course, you can always open an issue to discuss other kinds of contributions.

- Bug reports: If you encounter an error and think it is due to a bug in FastAI.jl, open an issue with a bug report as explained here: [How to file a bug report](https://github.com/FluxML/Flux.jl/blob/master/CONTRIBUTING.md#how-to-file-a-bug-report)
- Features: There are many kinds of features that you can contribute to FastAI.jl, like datasets, models, recipes and tasks. In most cases, it makes sense to open an issue first to discuss the scope and implementation of the feature.
- Examples: We're always happy about more usage examples for the documentation. A good starting point for this can be an existing tutorial in another language like Python that you're recreating using FastAI.jl and the Julia ecosystem.

To get started with code or documentation contributions, please see [DEVELOPING.md](DEVELOPING.md) for instructions on setting up a local dev environment and runnning the tests as well as the documentation.
